#include <stdio.h>
#include <stdbool.h>

struct choice {
    bool is_number;                   // marqueur de type de donnée
    union {                           // union anonyme
        float number;
        enum {YES, NO, MAYBE} answer; // enum anonyme
    };
};

void print_choice(struct choice c) {
    if (c.is_number) {
        printf("%lf\n", c.number);
    } else {
        switch (c.answer) {
            case YES:   printf("yes");   break;
            case NO:    printf("no");    break;
            case MAYBE: printf("maybe");
        }
        printf("\n");
    }
};

int main() {
    struct choice c = {false, .answer = YES}; print_choice(c);
    c = (struct choice){true, 3.14};          print_choice(c);
}
