#include <stdio.h>
#include <string.h>

#define MAX_LENGTH 1000

void initialize_distribution(unsigned int distribution[]) {
    for (unsigned int i = 0; i < MAX_LENGTH; ++i)
        distribution[i] = 0;
}

void load_distribution(unsigned int distribution[]) {
    char buffer[MAX_LENGTH];
    while (fgets(buffer, MAX_LENGTH, stdin)) {
        unsigned int l = strlen(buffer) - 1;
        ++distribution[l];
    }
}

void print_distribution(unsigned int distribution[]) {
    for (unsigned int i = 0; i < MAX_LENGTH; ++i)
        if (distribution[i] != 0)
            printf("%d %d\n", i, distribution[i]);
}

int main(int argc, char *argv[]) {
    unsigned int distribution[MAX_LENGTH];
    initialize_distribution(distribution);
    compute_distribution(distribution);
    print_distribution(distribution);
    return 0;
}
