# Sélectionne le format de sortie
set terminal png
# Supprime la légende
set nokey
# Spécifie le titre
set title "Taille de fichier en octets"
# Rotation de 90 degrés des noms de fichier
set xtics rotate
# Spécifie le style de graphique (histogramme)
set style data histograms
# Lit les données sur stdin
# La colonne 1 en abscisse et la colonne 2 en ordonnée
plot '/dev/stdin' using 2:xtic(1)
