#include <stdarg.h>
#include <stdlib.h>
#include <stdbool.h>
#include <stdio.h>

void print_n_char(char c, int n) {
    for (unsigned int i = 0; i < n; ++i) printf("%c", c);
}

void print_n_chars(char c, int n, ...) {
    va_list list; va_start(list, n);
    print_n_char(c, n);
    while (true) {
        c = va_arg(list, int);
        if (c == '\0') break;
        int k = va_arg(list, int);
        print_n_char(c, k);
    }
}

int main (void) {
    print_n_chars('+', 1, '-', 10, '+', 1, '-', 10, '+', 1, '\0');
    printf("\n"); print_n_chars('a', 5, 'b', 8, 'c', 13, '\0');
    return 0;
}
