#include <stdio.h>
#include <ctype.h>
#include <string.h>

void print_string(const char *s, unsigned int n) {
    for (unsigned int i = 0; i < n; ++i)
        printf("%2d ", i);
    printf("\n");
    for (unsigned int i = 0; i < n; ++i)
        if (s[i] == '\0')       printf("\\0 ");
        else if (isprint(s[i])) printf(" %c ", s[i]);
        else                    printf(" ? ");
    printf("\n");
}

int main(void) {
    // strcat: résultat pas toujours bien formé
    char s[10] = "Linux "; printf("s[10] avant\n"); print_string(s, 10);
    printf("s[10] après\n"); strcat(s, "Mint"); print_string(s, 10);
    // strncat: sécuritaire
    char t[10] = "Linux "; printf("t[10] avant\n"); print_string(t, 10);
    unsigned int m = 10 - strlen(t) - 1;
    printf("t[10] après\n"); strncat(t, "Mint", m); print_string(t, 10);
    return 0;
}
