#include <stdio.h>
#include <stdbool.h>

#define warn_if(EXP) \
do { if (EXP) \
        printf("** " #EXP " ** "); } \
while (0)

bool divides_3(unsigned int i) { return i % 3 == 0; }

int main(void) {
    for (unsigned int i = 0; i < 8; ++i) {
        printf("%d ", i);
        warn_if(divides_3(i));
    }
    return 0;
}
