@test "Addition" {
    resultat="$(echo $((1 + 2)))"   # Pas obligé d'utiliser run
    [ "$resultat" -eq 3 ]           # Teste si sortie de echo est 3
}

@test "Avec run" {
    run echo $((1 + 2))             # Avec run
    [ "$status" -eq 0 ]             # Teste code de retour de echo
    [ "$output" == "3" ]            # Teste si sortie de echo est 3
}

@test "Plusieurs lignes" {
    run echo -e "ligne 1\nligne 2"  # Avec run
    [ "${lines[0]}" == "ligne 1" ]  # Teste contenu de la 1re ligne
    [ "${lines[1]}" == "ligne2" ]   # Teste contenu de la 2e ligne
}

@test "Un test désactivé" {
    skip                            # On désactive le test
    run echo "un autre test"
    [ "$status" -eq 1 ]             # Teste si echo échoue
}
