#include <stdio.h>

// Retourne le carré de `x`
int carre(int x) { return x * x; }

// Applique la fonction `f` sur le tableau `domaine` de taille `n`
// et stocke le résultat dans le tableau `image`
void map(const int *domaine, int *image, int (*f)(int), unsigned int n) {
    for (unsigned int i = 0; i < n; ++i)
        image[i] = f(domaine[i]);
}

int main(void) {
    int domaine[5] = {2,3,5,7,11}, image[5];
    map(domaine, image, carre, 5);
    for (unsigned int i = 0; i < 5; ++i)
        printf("carre(%d) = %d\n", domaine[i], image[i]);
    return 0;
}
