#include <stdio.h>
#include <stdbool.h>
#include <string.h>

bool is_square(const char *s) {
    size_t n = strlen(s);
    if (n % 2 != 0) return false;
    size_t h = n / 2;
    return strncmp(s, s + h, h) == 0;
}

int main(void) {
    char *strings[] = {"abab", "123123", "1122", "aaabaaa", "aaabaaac"};
    for (unsigned int i = 0; i < 5; ++i) {
        unsigned int freq[10];
        printf("Is \"%s\" a square? %s\n",
               strings[i], is_square(strings[i]) ? "yes" : "no");
    }
    return 0;
}
