#include <stdio.h>
#include <ctype.h>
#include <string.h>

void print_string(const char *s, unsigned int n) {
    for (unsigned int i = 0; i < n; ++i)
        printf("%2d ", i);
    printf("\n");
    for (unsigned int i = 0; i < n; ++i)
        if (s[i] == '\0')       printf("\\0 ");
        else if (isprint(s[i])) printf(" %c ", s[i]);
        else                    printf(" ? ");
    printf("\n");
}

int main(void) {
    // strcpy: résultat pas toujours bien formé
    char s[6]; printf("s[6] avant\n"); print_string(s, 6);
    printf("s[6] après\n"); strcpy(s, "CentOS"); print_string(s, 6);
    // strncpy: plus sécuritaire
    char t[6]; printf("t[6] avant\n"); print_string(t, 6);
    printf("t[6] après\n"); strncpy(t, "CentOS", 5); print_string(t, 6);
}
