#include <stdio.h>
#include <ctype.h>
#include <string.h>

void print_string(const char *s, unsigned int n) {
    for (unsigned int i = 0; i < n; ++i)
        printf("%2d ", i);
    printf("\n");
    for (unsigned int i = 0; i < n; ++i)
        if (s[i] == '\0')       printf("\\0 ");
        else if (isprint(s[i])) printf(" %c ", s[i]);
        else                    printf(" ? ");
    printf("\n");
}

int main(void) {
    char s[] = "-4,3a,2"; char *token;
    printf("Chaîne s = \"%s\" avant segmentation\n", s);
    print_string(s, 8);
    printf("\nSegmentation...\n");
    token = strtok(s, ","); // Premier appel de strtok sur s
    while (token != NULL) {
        printf("token = %s\n", token);
        token = strtok(NULL, ","); // Appels suivants sur NULL
    }
    printf("\n");
    printf("Chaîne s = \"%s\" après segmentation\n", s);
    print_string(s, 8);
}
