#include <stdio.h>
#include <stdlib.h>

double *sum(const double *v1, const double *v2, unsigned int n) {
    double *v = malloc(n * sizeof(double));
    for (unsigned int i = 0; i < n; ++i)
        v[i] = v1[i] + v2[i];
    return v;
}

void print_vector(const double *v, unsigned int n) {
    printf("[ ");
    for (unsigned int i = 0; i < n; ++i)
        printf("%lf ", v[i]);
    printf("]");
}

int main(void) {
    double v1[] = { 2.0, -1.5,  3.4};
    double v2[] = {-1.0,  2.1, -0.8};
    print_vector(sum(v1, v2, 3), 3);
    return 0;
}
